scribus_1.4.6+dfsg-2_i386.deb


Advertisement

Description

scribus - Open Source Desktop Page Layout - stable branch

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: scribus
Package version: 1.4.6+dfsg
Package release: 2
Package architecture: i386
Package type: deb
Installed size: 19.46 KB
Download size: 5.35 MB
Official Mirror: archive.ubuntu.com
Scribus is an open source desktop page layout program with the aim of producing commercial grade output in PDF and Postscript. Scribus can be used for many tasks; from brochure design to newspapers, magazines, newsletters and posters to technical documentation. Scribus supports professional DTP features, such as CMYK color and a color management system to soft proof images for high quality color printing, flexible PDF creation options, Encapsulated PostScript import/export and creation of 4 color separations, import of EPS/PS and SVG as native vector graphics, Unicode text including right to left scripts such as Arabic and Hebrew via freetype. Graphic formats which can be placed in Scribus as images include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm), and any bitmap type supported by QT4. If you need to use the render frame install the texlive-latex-recommended package (suggested).

Alternatives

    Download

    Source package: scribus

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install scribus deb package:
      # sudo apt-get install scribus

    Files

    • /usr/bin/scribus
    • /usr/lib/mime/packages/scribus
    • /usr/lib/scribus/import.prolog
    • /usr/lib/scribus/plugins/libbarcodegenerator.so
    • /usr/lib/scribus/plugins/libcolorwheel.so
    • /usr/lib/scribus/plugins/libfontpreview.so
    • /usr/lib/scribus/plugins/libhunspellplugin.so
    • /usr/lib/scribus/plugins/libimportai.so
    • /usr/lib/scribus/plugins/libimportcvg.so
    • /usr/lib/scribus/plugins/libimportpct.so
    • /usr/lib/scribus/plugins/libimportps.so
    • /usr/lib/scribus/plugins/libimportxfig.so
    • /usr/lib/scribus/plugins/liblenseffects.so
    • /usr/lib/scribus/plugins/libmeshdistortion.so
    • /usr/lib/scribus/plugins/liboodrawimp.so
    • /usr/lib/scribus/plugins/libpathalongpath.so
    • /usr/lib/scribus/plugins/libpathconnect.so
    • /usr/lib/scribus/plugins/libpathcut.so
    • /usr/lib/scribus/plugins/libpathfinder.so
    • /usr/lib/scribus/plugins/libpathstroker.so
    • /usr/lib/scribus/plugins/libsaveastemplateplugin.so
    • /usr/lib/scribus/plugins/libscribus12format.so
    • /usr/lib/scribus/plugins/libscribus134format.so
    • /usr/lib/scribus/plugins/libscribus13format.so
    • /usr/lib/scribus/plugins/libscribusexportpixmap.so
    • /usr/lib/scribus/plugins/libscribusshortwords.so
    • /usr/lib/scribus/plugins/libscriptplugin.so
    • /usr/lib/scribus/plugins/libsubdivide.so
    • /usr/lib/scribus/plugins/libsvgexplugin.so
    • /usr/lib/scribus/plugins/libsvgimplugin.so
    • /usr/lib/scribus/plugins/libtransformeffect.so
    • /usr/lib/scribus/plugins/libwmfimplugin.so
    • /usr/lib/scribus/plugins/gettext/libcsvim.so
    • /usr/lib/scribus/plugins/gettext/libdocim.so
    • /usr/lib/scribus/plugins/gettext/libhtmlim.so
    • /usr/lib/scribus/plugins/gettext/libodtimplugin.so
    • /usr/lib/scribus/plugins/gettext/libpdbim.so
    • /usr/lib/scribus/plugins/gettext/libsxwimplugin.so
    • /usr/lib/scribus/plugins/gettext/libtextfilterplugin.so
    • /usr/lib/scribus/plugins/gettext/libtxtim.so
    • /usr/share/applications/scribus.desktop
    • /usr/share/doc/scribus/NEWS.Debian.gz
    • /usr/share/doc/scribus/changelog.Debian.gz
    • /usr/share/doc/scribus/copyright
    • /usr/share/lintian/overrides/scribus

    Changelog

    2016-03-22 - Mattia Rizzolo <mattia@debian.org> scribus (1.4.6+dfsg-2) unstable; urgency=medium * debian/control: + [a5cb3d9] Bump Standards-Version to 3.9.7, no changes needed. + [cd83e0b] Use HTTPS in Vcs-Git. + [954d474] specify this is the stable branch also in -data and -dev. * [5481869] Stop installing our copy of scribus.xpm. The Upstream-provided scribus.png is a good enough icon. * [d485971] Stop installing the TODO file, it contains nothing useful. * Changes done to have all 3 scribus packages (scribus and scribus-{ng,trunk}) both in their debian version (with non-dfsg file stripped) and upstream build out of the same debian/ directory as much as possible: + [eca36ad] debian/copyright: Files-Excluded use 1.?.? in the directory name + [1954d97] copy the icon in the right directory here, then ask dh_install to install the whole pixmaps directory. + [4c30a70] debian/control: Build-Depend on dh-exec + debian/rules: - [55c9d59,1d92302] add some noop code. - [27bbe92] export $p to the environment - [c89f99b] just install the .desktop file with a sane name directly in /usr/share/applications, instead of having to move it around later. + [1b5bcc5] parametrize the package name with dh-exec in d/*.{install,links} * [6899854] lintian-overrides: override dh-exec-subst-unknown-variable.

    2016-01-12 - Mattia Rizzolo <mattia@debian.org> scribus (1.4.6+dfsg-1) unstable; urgency=medium * [82759c4] Imported Upstream version 1.4.6+dfsg. http://wiki.scribus.net/canvas/Scribus_1.4.6_Release * [42af1c2] debian/{control,copyright}: use my @debian.org email address- * [220819b] debian/patches: refresh them all. * [9468eab] Fix typos in packaging files. Thanks codespell. * debian/control: + [4b5506d] Remove malex from maintainer and put myself in. Thank you for maintaining scribus for so long! + [01988ce] Remove useless version costraints. + [f81b9d5] Build-dep on dh-python, python-all, instead of python-all-dev. + [5d6f574] Drop old/useless ${python:Provides} substvar. * debian/rules: + [5a6a8db,8e5df2c] parametrize 'scribus' it in a variable. + [cec468d] debian/rules: use DH_VERBOSE=1. + [4ed094a] debian/rules: call dh_python2 over python scripts. * debian/copyright: + [59548e7] Remove scribus-1.4.?/resources/swatches/CIE-* from the tarball. + [304e0e6] Update copyright years to 2016.

    2015-11-09 - Mattia Rizzolo <mattia@mapreri.org> scribus (1.4.5+dfsg1-5) unstable; urgency=medium * [56e1b09] d/p/support-arbitrary-hyphenator-name: allow the dicts to be symlinked. Closes: #804477

    2015-10-11 - Mattia Rizzolo <mattia@mapreri.org> scribus (1.4.5+dfsg1-4) unstable; urgency=medium * [8966ea3] debian/scribus.menu: delete, per recent CTTE decision * [3b57457] debian/rules: just exclude all .so from dh_fixperms. That way it'll run over the directory and thus making the build reproducible again. Thanks to Santiago Vila for the suggestion.

    2015-09-27 - Mattia Rizzolo <mattia@mapreri.org> scribus (1.4.5+dfsg1-3) unstable; urgency=medium * debian/patches: + [6adc33a] support-arbitrary-hyphenator-name: add to actually be able to use the system hyphenators. Closes: #771471 + [fa2d424] meld the patch for #762942 with the last one, they are related and this one is a "consequence" of the old one.

    2015-09-24 - Mattia Rizzolo <mattia@mapreri.org> scribus (1.4.5+dfsg1-2) unstable; urgency=medium * debian/control: + [1fb6d0b] use the cgit fronted in Vcs-Browser + [0fbaafb] change to priority:extra from optional, since we depend on a priority:extra package * [0f3a7ac] debian/scribus{,-data}.install: install the .desktop file in /usr/share/applications in the scribus binary Closes: #795705, LP: #1487031

    Advertisement
    Advertisement